<?php
/**
 * Regular URL scheme.
 *
 * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
 * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
 * @package PunBB
 */


// Make sure no one attempts to run this script "directly"
if (!defined('FORUM'))
	exit;

// These are the regular, "non-SEF" URLs (you probably don't want to edit these)
$forum_url = array(
	'change_email'					=>	'profile.php?action=change_email&amp;id=$1',
	'change_email_key'				=>	'profile.php?action=change_email&amp;id=$1&amp;key=$2',
	'change_password'				=>	'profile.php?action=change_pass&amp;id=$1',
	'change_password_key'			=>	'profile.php?action=change_pass&amp;id=$1&amp;key=$2',
	'delete_user'					=>	'profile.php?action=delete_user&amp;id=$1',
	'delete'						=>	'delete.php?id=$1',
	'delete_avatar'					=>	'profile.php?action=delete_avatar&amp;id=$1&amp;csrf_token=$2',
	'edit'							=>	'edit.php?id=$1',
	'email'							=>	'misc.php?email=$1',
	'forum'							=>	'viewforum.php?id=$1',
	'forum_rss'						=>	'extern.php?action=feed&amp;fid=$1&amp;type=rss',
	'forum_atom'					=>	'extern.php?action=feed&amp;fid=$1&amp;type=atom',
	'forum_subscribe'				=>	'misc.php?forum_subscribe=$1&amp;csrf_token=$2',
	'forum_unsubscribe'				=>	'misc.php?forum_unsubscribe=$1&amp;csrf_token=$2',
	'help'							=>	'help.php?section=$1',
	'index'							=>	'index.php',
	'index_rss'						=>	'extern.php?action=feed&amp;type=rss',
	'index_atom'					=>	'extern.php?action=feed&amp;type=atom',
	'login'							=>	'login.php',
	'logout'						=>	'login.php?action=out&amp;id=$1&amp;csrf_token=$2',
	'mark_read'						=>	'misc.php?action=markread&amp;csrf_token=$1',
	'mark_forum_read'				=>	'misc.php?action=markforumread&amp;fid=$1&amp;csrf_token=$2',
	'new_topic'						=>	'post.php?fid=$1',
	'new_reply'						=>	'post.php?tid=$1',
	'opensearch'					=>	'misc.php?action=opensearch',
	'post'							=>	'viewtopic.php?pid=$1#p$1',
	'profile_about'					=>	'profile.php?section=about&amp;id=$1',
	'profile_identity'				=>	'profile.php?section=identity&amp;id=$1',
	'profile_settings'				=>	'profile.php?section=settings&amp;id=$1',
	'profile_avatar'				=>	'profile.php?section=avatar&amp;id=$1',
	'profile_signature'				=>	'profile.php?section=signature&amp;id=$1',
	'profile_admin'					=>	'profile.php?section=admin&amp;id=$1',
	'quote'							=>	'post.php?tid=$1&amp;qid=$2',
	'register'						=>	'register.php',
	'report'						=>	'misc.php?report=$1',
	'request_password'				=>	'login.php?action=forget',
	'rules'							=>	'misc.php?action=rules',
	'search'						=>	'search.php',
	'search_advanced'				=>	'search.php?advanced=1',
	'search_resultft'				=>	'search.php?action=search&amp;keywords=$1&amp;author=$3&amp;forum=$2&amp;search_in=$4&amp;sort_by=$5&amp;sort_dir=$6&amp;show_as=$7',
	'search_results'				=>	'search.php?search_id=$1',
	'search_new'					=>	'search.php?action=show_new',
	'search_new_results'			=>	'search.php?action=show_new&amp;forum=$1',
	'search_recent'					=>	'search.php?action=show_recent',
	'search_recent_results'			=>	'search.php?action=show_recent&amp;value=$1',
	'search_unanswered'				=>	'search.php?action=show_unanswered',
	'search_subscriptions'			=>	'search.php?action=show_subscriptions&amp;user_id=$1',
	'search_forum_subscriptions'	=>	'search.php?action=show_forum_subscriptions&amp;user_id=$1',
	'search_user_posts'				=>	'search.php?action=show_user_posts&amp;user_id=$1',
	'search_user_topics'			=>	'search.php?action=show_user_topics&amp;user_id=$1',
	'subscribe'						=>	'misc.php?subscribe=$1&amp;csrf_token=$2',
	'topic'							=>	'viewtopic.php?id=$1',
	'topic_rss'						=>	'extern.php?action=feed&amp;tid=$1&amp;type=rss',
	'topic_atom'					=>	'extern.php?action=feed&amp;tid=$1&amp;type=atom',
	'topic_new_posts'				=>	'viewtopic.php?id=$1&amp;action=new',
	'topic_last_post'				=>	'viewtopic.php?id=$1&amp;action=last',
	'unsubscribe'					=>	'misc.php?unsubscribe=$1&amp;csrf_token=$2',
	'user'							=>	'profile.php?id=$1',
	'users'							=>	'userlist.php',
	'users_browse'					=>	'userlist.php?show_group=$1&amp;sort_by=$2&amp;sort_dir=$3&amp;username=$4',
	'page'							=>	'&amp;p=$1',
	'moderate_forum'				=>	'moderate.php?fid=$1',
	'get_host'						=>	'moderate.php?get_host=$1',
	'move'							=>	'moderate.php?fid=$1&amp;move_topics=$2',
	'open'							=>	'moderate.php?fid=$1&amp;open=$2&amp;csrf_token=$3',
	'close'							=>	'moderate.php?fid=$1&amp;close=$2&amp;csrf_token=$3',
	'stick'							=>	'moderate.php?fid=$1&amp;stick=$2&amp;csrf_token=$3',
	'unstick'						=>	'moderate.php?fid=$1&amp;unstick=$2&amp;csrf_token=$3',
	'moderate_topic'				=>	'moderate.php?fid=$1&amp;tid=$2',
	'admin_index'					=>	'admin/index.php',
	'admin_bans'					=>	'admin/bans.php?sort_by=1',
	'admin_categories'				=>	'admin/categories.php',
	'admin_censoring'				=>	'admin/censoring.php',
	'admin_extensions_manage'		=>	'admin/extensions.php?section=manage',
	'admin_extensions_hotfixes'		=>	'admin/extensions.php?section=hotfixes',
	'admin_forums'					=>	'admin/forums.php',
	'admin_forums_forum'			=>	'admin/forums.php#forum$1',
	'admin_groups'					=>	'admin/groups.php',
	'admin_loader'					=>	'admin/loader.php',
	'admin_reindex'					=>	'admin/reindex.php',
	'admin_settings_setup'			=>	'admin/settings.php?section=setup',
	'admin_settings_features'		=>	'admin/settings.php?section=features',
	'admin_settings_content'		=>	'admin/settings.php?section=content',
	'admin_settings_email'			=>	'admin/settings.php?section=email',
	'admin_settings_announcements'	=>	'admin/settings.php?section=announcements',
	'admin_settings_registration'	=>	'admin/settings.php?section=registration',
	'admin_settings_communications'	=>	'admin/settings.php?section=communications',
	'admin_settings_maintenance'	=>	'admin/settings.php?section=maintenance',
	'admin_prune'					=>	'admin/prune.php',
	'admin_ranks'					=>	'admin/ranks.php',
	'admin_reports'					=>	'admin/reports.php',
	'admin_users'					=>	'admin/users.php'
);
